#include "Space.h"

// constructor
Space::Space( DisplayInterface &d, int x, int y ) : Object( 0 )
{
	d.DrawSprite( x, y, SPRITE_EMPTY );
}

// returns object identity
int Space::identify( )
{
	return space_id;
}

// takes a turn to act in the world, space does nothing
bool Space::act( DisplayInterface &d, World *w, int x, int y, int time )
{
	return true;
}

// disappears from the world
void Space::die( DisplayInterface &d, World *w, int x, int y ) { }

// shows the object at its spot in the world
void Space::show( DisplayInterface &d, World *w, int x, int y )
{
	d.DrawSprite( x, y, SPRITE_EMPTY );
}